/*
 *	fonts.h
 */

#ifndef	_FONTS_H_
#define	_FONTS_H_

#include <gba.h>
#include <xfont.h>

#pragma	pack(1)

typedef struct _FONTINFO {
	vu8	sig[2];
	vu8	ver;
	vu8	size;
	vu8	fontname[XF_NAMELEN+1];
	vu8	fontsize;
	vu8	fontpitch;
	vu8	reserved[6];
} FONTINFO, *PFONTINFO;

#pragma	pack()

#define FI_SIG		"FI"
#define FI_VER		0x01

/*
 *	external functions
 */

void InitFonts();
BOOL SelectFont(u8 *title);
int SelectFontPitch(u8 *title);

#endif	// _FONTS_H_

