/*
 *	screen.h
 */

#ifndef	_SCREEN_H_
#define	_SCREEN_H_

#include <gba.h>
#include <scrn.h>

#pragma	pack(1)

typedef struct _SCRNDIR {
	vu8	sig[2];
	vu8	ver;
	vu8	size;
	vu8	mode;
	vu8	reserved[11];
} SCRNDIR, *PSCRNDIR;

#pragma	pack()

#define SD_SIG		"SD"
#define SD_VER		0x01

/*
 *	external functions
 */

int SelectScreen(u8 *title);
void InitScreen();

#endif	// _SCREEN_H_

