@echo off
setlocal
if "%1"=="" echo Usage: %0 {ver#} & goto :eof
set base=rel\%1
if not exist %base% echo %base%: not exists. & goto :eof
set rel=%base%\src
if exist %rel% echo %rel%: already exists. & goto :eof

call :domd apps\filer
call :doxcopy . apps\filer
call :doxcopy res apps\filer\res /s/e

call :domd inc
call :doxcopy ..\..\inc inc /s/e

call :domd lib
call :doxcopy ..\..\lib\src lib\src /s/e

call :domd tools\mkgbafs
call :doxcopy ..\..\tools\mkgbafs tools\mkgbafs
call :domd tools\bmp2fnt
call :doxcopy ..\..\tools\bmp2fnt tools\bmp2fnt
call :domd tools\mkcct
call :doxcopy ..\..\tools\mkcct tools\mkcct

endlocal
goto :eof

:domd
echo md %rel%\%1
md %rel%\%1
goto :eof

:docopy
echo copy %1 %rel%\%2
copy %1 %rel%\%2 >nul
goto :eof

:doxcopy
echo xcopy %1 %rel%\%2 %3 %4 %5 /i /exclude:src.x
xcopy %1 %rel%\%2 %3 %4 %5 /i /exclude:src.x >nul
goto :eof

