/*
 *	token.h
 */

#ifndef	_TOKEN_H_
#define	_TOKEN_H_

#include <gba.h>

#define T_EOF		(-1)
#define T_ERROR		(-2)
#define T_NAME		0x101
#define T_VALUE		0x102

typedef struct _TOKEN {
	u8	*ptop;
	u8	*pend;
	u8	*pcur;
	int	curline;
	void	*pvalue;
	int	len;
} TOKEN, *PTOKEN;

/*
 *	external functions
 */

u8 toupper(u8 c);
void InitToken(PTOKEN ptok, u8 *ptop, u8 *pend);

#endif	// _TOKEN_H_
