/*
 *	colors.h
 */

#ifndef	_COLORS_H_
#define	_COLORS_H_

#include <gba.h>
#include "token.h"

#define MAX_COLORS	14

#pragma	pack(1)

typedef struct _SCRNCOLORS {
	vu8	sig[2];
	vu8	ver;
	vu8	size;
	vu8	fgcolor[2];
	vu8	bgcolor[2];
	vu8	reserved[8];
} SCRNCOLORS, *PSCRNCOLORS;

#pragma	pack()

#define SC_SIG		"SC"
#define SC_VER		0x01

/*
 *	external functions
 */

void LoadColors();
int ColorSelection(u8 *title);
int LoadCustomColors(PTOKEN ptok);
void InitColor();

#endif	// _COLORS_H_

