/*
 *	listbox.h
 */

#ifndef	_LISTBOX_H_
#define	_LISTBOX_H_

#include <gba.h>

/*
 *	definitions
 */

#define LB_CANCEL	(-1)
#define LB_ERROR	(-2)

typedef struct _LISTBOX {
	u8	*title;
	int	nitems;
	int	defitem;
	u8	**items;
	RECT	rc;
	int	(*callback)(int index, void *params);
	void	*params;
} LISTBOX, *PLISTBOX;

/*
 *	external functions
 */

int ListBox(PLISTBOX plb);

#endif	// _LISTBOX_H_

