/*
 *	main.c
 */

#include "filer.h"

/*
 *	Init
 */
static PDIRENT Init()
{
	PDIRENT		proot;
	u8		*ptop, *pend;

	iHeapInit();
	InitTimer();
	InitKey();
	ScrnInit();

	Fix8SetColor(COLOR_WHITE, COLOR_BLACK);
	if (!FsInit() || !(proot = FsGetRootDir())) {
		Fix8PutStr(80, 80, "FsInit: Failed!");
		for (;;) ;
	}

	InitColor();
	InitKeyMap();

	LoadIniFile();

	LoadColors();
	InitScreen();
	InitFonts();
	InitBookMark();

	return proot;
}

/*
 *	AgbMain
 */
void AgbMain(void)
{
	StartView(Init());

	for (;;) ;
}
